### Method

# Gio DBusMethodInvocation return_error_literal

since: 2.26

#### Declaration

    void
    g_dbus_method_invocation_return_error_literal (
      GDBusMethodInvocation* invocation,
      GQuark domain,
      gint code,
      const gchar* message
    )

#### Description

Like `g_dbus_method_invocation_return_error()` but without printf()-style formatting.

This method will take ownership of `invocation`. See `GDBusInterfaceVTable` for more information about the ownership of `invocation`.

Available since: 2.26

#### Parameters

`domain`

  Type: `GQuark`

  A `GQuark` for the `GError` error domain.

`code`

  Type: `gint`

  The error code.

`message`

  Type: `const gchar*`

  The error message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.